export declare class Statement {
    operation: string;
    table: string;
    text: string;
    values: any[];
    join(table: string, fields: Object, type?: string): this;
    where(fields: Object, operator?: string, separator?: string): this;
    and(fields: Object, operator?: string, separator?: string): this;
    or(fields: Object, operator?: string, separator?: string): this;
    groupby(columns: string[]): this;
    having(fields: Object, operator?: string, separator?: string): this;
    orderby(columns: string[]): this;
    returning(columns: string | string[]): this;
}
export declare function select(table: string, columns: string[]): Statement;
export declare function insert(table: string, fields: Object): Statement;
export declare function update(table: string, fields: Object): Statement;
export declare function deletes(table: string): Statement;
